#
# spec file for package perl-Compress-Raw-Zlib (Version 2.005)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           perl-Compress-Raw-Zlib
Url:            http://cpan.org/modules/by-module/Compress/
License:        Artistic License
Group:          Development/Libraries/Perl
Requires:       perl = %{perl_version}
AutoReqProv:    on
Summary:        Perl interface to the zlib compression library
Version:        2.005
Release:        17.2
Source:         Compress-Raw-Zlib-%{version}.tar.bz2
Patch:          growoob.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module provides a Perl interface to the zlib compression library.



Authors:
--------
    Paul Marquess <Paul.Marquess@btinternet.com>

%debug_package
%prep
%setup -q -n Compress-Raw-Zlib-%{version}
%patch

%build
perl Makefile.PL
make
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-, root, root)
%doc MANIFEST README
%{_mandir}/man?/*
%dir %{perl_vendorarch}/Compress/Raw
%dir %{perl_vendorarch}/Compress
%dir %{perl_vendorarch}/auto/Compress
%dir %{perl_vendorarch}/auto/Compress/Raw
%dir %{perl_vendorarch}/auto/Compress/Raw/Zlib
%{perl_vendorarch}/Compress/Raw/Zlib.pm
%{perl_vendorarch}/auto/Compress/Raw/Zlib/Zlib.bs
%{perl_vendorarch}/auto/Compress/Raw/Zlib/Zlib.so
%{perl_vendorarch}/auto/Compress/Raw/Zlib/autosplit.ix
%{perl_vendorarch}/auto/Compress/Raw/Zlib/.packlist
/var/adm/perl-modules/perl-Compress-Raw-Zlib

%changelog
* Wed Jun 10 2009 - mls@suse.de
- fixed off-by-one in zlib inflate code [bnc#511241]
* Tue Jul 03 2007 - anicka@suse.cz
- update to 2.005
  * Only include ppport.h when not being built with perl.
* Wed Mar 07 2007 - anicka@suse.cz
- update to 2.004
  * Fixed lvalue substr issue
  * Remove redundant code from Zlib.xs
* Mon Feb 26 2007 - anicka@suse.cz
- package created (initial version 2.003)
